tcl_procflow.d(1m)

NAME
tcl_procflow.d - snoop Tcl execution showing procedure flow using DTrace.

SYNOPSIS
tcl_procflow.d

DESCRIPTION
This traces activity from all Tcl processes on the system with DTrace provider support (tcl8.4.16). This watches Tcl method entries and returns, and indents child method calls.

OS
Any

STABILITY
Evolving - uses the DTrace Tcl provider, which may change as additional features are introduced. Check Tcl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # tcl_procflow.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

PID Process ID

PROCEDURE
    Tcl procedure name

LEGEND

->  proc entry

<-  proc return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
tcl_procflow.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)